package com.ruoyi.system.mapper.other;

import com.ruoyi.system.domain.other.WsStoneHot;
import com.ruoyi.system.domain.other.WsStoneHotExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WsStoneHotMapper {
    long countByExample(WsStoneHotExample example);

    int deleteByExample(WsStoneHotExample example);

    int deleteByPrimaryKey(String id);

    int insert(WsStoneHot record);

    int insertSelective(WsStoneHot record);

    List<WsStoneHot> selectByExampleWithBLOBs(WsStoneHotExample example);

    List<WsStoneHot> selectByExample(WsStoneHotExample example);

    WsStoneHot selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") WsStoneHot record, @Param("example") WsStoneHotExample example);

    int updateByExampleWithBLOBs(@Param("record") WsStoneHot record, @Param("example") WsStoneHotExample example);

    int updateByExample(@Param("record") WsStoneHot record, @Param("example") WsStoneHotExample example);

    int updateByPrimaryKeySelective(WsStoneHot record);

    int updateByPrimaryKeyWithBLOBs(WsStoneHot record);

    int updateByPrimaryKey(WsStoneHot record);
}
